/*
  Blink without Delay

  modified 21.11.18
  by Chris Obrist
 
  http://www.arduino.cc/en/Tutorial/BlinkWithoutDelay
*/


const int ledPin = 10;                   // the number of the LED pin
int ledState = LOW;                      // ledState used to set the LED
unsigned long previousMillis = 0;        // will store last time LED was updated
const long interval = 500;              // interval at which to blink (milliseconds)

void setup() {
  pinMode(ledPin, OUTPUT);
}

void loop() {
  unsigned long currentMillis = millis();

  if (currentMillis - previousMillis >= interval) {
    previousMillis = currentMillis;

   
    if (ledState == LOW) {
      ledState = HIGH;
    } else {
      ledState = LOW;
    }

    digitalWrite(ledPin, ledState);      // set the LED with the ledState of the variable
  }
}
