/*

 LED Stateflow 
 Using a single switch to select between different modes

  modified 14.08.18
  by Chris Obrist
 
*/

 
const int led1 = 8;      // LED1
const int led2 = 9;      // LED2
const int led3 = 10;     // LED3

const int modePin = 2;  // Active HIGH, held low by 4.7K
 
int mode = 1;           // Selector State 
int val = 0;            // Pin 2 HIGH/LOW Status
int butState = 0;       // Last Button State
int modeState = 0;      // Last Mode State

void setup () {
 pinMode(led1, OUTPUT);
 pinMode(led2, OUTPUT);
 pinMode(led3, OUTPUT);
 pinMode(modePin, INPUT);
}
 

void loop() {
 
 val = digitalRead(modePin);
 
 // If we see a change in button state, increment mode value
 if (val != butState && val == HIGH){
 mode++;
 }
 
 butState = val; // Keep track of most recent button state
 
 // No need to keep setting pins *every* loop
 if (modeState != mode){
  
 switch (mode) {
 //case 1 is actually handled below as default


case 2:
 digitalWrite(led1, LOW);
 digitalWrite(led2, HIGH);
 digitalWrite(led3, HIGH);
 
 break;

case 3:
 digitalWrite(led1, HIGH);
 digitalWrite(led2, LOW);
 digitalWrite(led3, LOW);

 break;

case 4:
 digitalWrite(led1, LOW);
 digitalWrite(led2, HIGH);
 digitalWrite(led3, LOW);

 break; 
 
default:
 mode = 1;
 // loop back to 1 by default, seems redundant but
 // it also handles the "mode is > 4" problem
 digitalWrite(led1, LOW);
 digitalWrite(led2, LOW);
 digitalWrite(led3, HIGH);

 break;
 
 } // end switch

 } // end of ModeState check
 modeState = mode; // Keep track of mode recent mode value
 delay(10); // slow the loop just a bit for debounce
}
 
