/*
*  MIDI INPUT DEVICE
* 
*  Use relay to move solenoid by MIDI input
* 
*  modified 11.05.2021
*  by Chris Obrist
*  
*/
 
 
 #include <MIDI.h>

#define relA 2                              // define pins
#define led 13

MIDI_CREATE_DEFAULT_INSTANCE();

void setup() {
  Serial.begin(31250);
  
  pinMode (relA, OUTPUT);                     // set outputs
  pinMode (led, OUTPUT);

  MIDI.begin(MIDI_CHANNEL_OMNI);
  MIDI.setHandleNoteOn(MidiInputNoteOn);
  MIDI.setHandleNoteOff(MidiInputNoteOff);

  digitalWrite (relA, HIGH);                  // start relais OFF – invert logic !!!
  
}

void loop() {
  MIDI.read();
 
}

void MidiInputNoteOn(byte channel, byte pitch, byte velocity) { 
  digitalWrite (led, HIGH);
  if (pitch == 60) digitalWrite (relA, LOW);    // relais ON with Note C3

   
}


void MidiInputNoteOff(byte channel, byte pitch, byte velocity) { 
  digitalWrite (led, LOW);
  if (pitch == 60) digitalWrite(relA, HIGH);     // relais OFF with Note C3

  
}
